package com.brilliance.isc.esb.api.ph;

import com.brilliance.isc.esb.model.Res;
import com.brilliance.isc.esb.model.ph.*;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * PH 普惠金融云平台服务方
 *
 * @restApi
 */

@RequestMapping("/SSTF")
public interface PhServer {

    /**
     * BHL1 保函来报异步
     *
     * @param reqBHL1
     * @return
     */
    @PostMapping("/BHL1")
    Res<ResBHL1> doBHL1(ReqBHL1 reqBHL1);

    /**
     * EM01 保函来报同步(原BHL2)
     *
     * @param reqBHL2
     * @return
     */
    @PostMapping("/EM01")
    Res<ResBHL2> doBHL2(ReqBHL2 reqBHL2);


    /**
     * BHL3 保函来报分行
     *
     * @param reqBHL3
     * @return
     */
    @PostMapping("/BHL3")
    Res<ResBHL3> doBHL3(ReqBHL3 reqBHL3);


    /**
     * 贵州农民工保函查询
     *
     * @param reqGJG1
     * @return
     */
    @PostMapping("/GJG1")
    Res<ResGJG1> callGJG1(ReqGJG1 reqGJG1);

    /**
     * 云平台国内证来报
     * @param reqLCL1
     * @return
     */
    @PostMapping("/LCL1")
    Res<ResLCL1> doLCL1(ReqLCL1 reqLCL1);

    /**
     * 云平台国内证查询类的来报
     * @param reqLCL2
     * @return
     */
    @PostMapping("/LCL2")
    Res<ResLCL2> doLCL2(ReqLCL2 reqLCL2);


    /**
     * FTL1 福费廷来报
     *
     * @param reqFTL1
     * @return
     */
    @PostMapping("/ftl1")
    Res<ResFTL1> doFTL1(ReqFTL1 reqFTL1);

    /**
     * FTL2 福费廷探测
     *
     * @param reqFTL2
     * @return
     */
    @PostMapping("/ftl2")
    Res<ResFTL2> doFTL2(ReqFTL2 reqFTL2);
}
